
use crate::board::Board;

pub trait Solver {
    fn solve(&self, _: &Board) -> Option<Board>;
    fn is_unique(&self, _  : &Board) -> bool;
}

pub enum SodokuComplexity {
    Trivial,
    Easy,
    Average,
    Hard,
    Difficult,
    Impossibru
}

pub trait Generator{
    fn generate(&self, _complexity:&SodokuComplexity) -> Board;
}